Subject: [bug#40677] [PATCH 13/18] gnu: pjproject, pjproject-jami: Remove broken pjproject package. Make pjproject-jami package stand-alone by moving package code from pjproject into it.

From: Jan <[email-masked]>
Date: Wed, 22 Apr 2020 13:42:08 +0200

On Wed, 22 Apr 2020 11:39:11 +0200
Mathieu Othacehe <[email-masked]> wrote:

> >  
> >  (define-public pjproject-jami
> >    (package
> > -    (inherit pjproject)
> >      (name "pjproject-jami")
> > +    (version "2.9")
> > +    (source
> > +     (origin
> > +       (method git-fetch)
> > +       (uri (git-reference
> > +             (url "https://github.com/pjsip/pjproject.git")
> > +             (commit "5dfa75be7d69047387f9b0436dd9492bbbf03fe4")))
> > +       (modules '((guix build utils)))  
> 
> pjproject is used by packages such as asterisk (not yet packaged). So
> I would prefer to keep pjproject, even if it's currently broken.
> 
> WDYT?
> 
> Mathieu

Should I revert the change and make pjproject-jami inherit from it
again? Is inheriting from a dead package even worth it for just two
packages?
Moving the code from pjproject to pjproject-jami actually made it easier
to maintain. If someone packages asteriks, they will have to copy the
code, modify it with configure flags, add missing dependencies and use
a different version, because Jami uses a custom version so patching
work.

We can keep the broken package, but I would like to keep my
pjproject-jami without inheritance as it is after my changes.
It is just easier to maintain this way.

But if I'm wrong, then I can just inherit from pjproject as it was
before. I'm not an experienced contributor after all.

Jan Wielkiewicz